function [V,I] = newV(F,oldV,start_p,start_t);

global N W PROFILES NEXT_P;
V = zeros(PROFILES,N);
I = zeros(PROFILES,N);

for i = 1:PROFILES,
   for p = 1:N, 
      
      node   = i;
      countI = 0;
      tempP  = start_p + (start_p==0)*NEXT_P(p);
         
      while sum(F(node,:))>0,
         if F(node,tempP)==0,
            tempP = NEXT_P(tempP);
         end;   
         node = my_neg(node,tempP);
         if tempP==p,
            countI = countI + 1;
         end;   
         tempP = NEXT_P(tempP);
      end;
                  
      V(i,p) = oldV(node,p) - countI*Cdirect(start_t);
      I(i,p) = countI;
         
   end;
end;
